# Changes to the Contacts API in Nylas v3

Source: https://developer.nylas.com/docs/new/in-v3/contacts-changes/

## Changes to the Contacts API in v3

Nylas v3 includes the following changes to the Contacts API:

- Contact objects are now returned as JSON objects, instead of being listed as comma-separated values.
- All Contacts endpoints now require a `grant_id`, an email address, or — if you're using access token authentication — the `/me/` construction (see [`/me/` syntax for API calls](/docs/api/v3/ecc/#overview--me-syntax-for-api-calls) for more information).
- Currently, Nylas polls for changes to contacts for Google accounts in five-minute intervals.
- The `GET /contacts/{id}/picture` endpoint has been deprecated. Instead, you can now include the `?profile_picture=true` query parameter in a [Get Contact request](/docs/api/v3/ecc/#get-/v3/grants/-grant_id-/contacts/-contact_id-) to get the contact's profile picture.

## Migrated Contacts endpoints

- `GET /contacts` → `GET /v3/grants/<grant_id>/contacts`
- `POST /contacts` → `POST /v3/grants/<grant_id>/contacts`
- `GET /contacts/<id>` → `GET /v3/grants/<grant_id>/contacts/<contact_id>`
- `PUT /contacts/<id>` → `PUT /v3/grants/<grant_id>/contacts/<contact_id>`
- `DELETE /contacts/<id>` → `DELETE /v3/grants/<grant_id>/contacts/<contact_id>`
- `GET /contacts/groups` → `GET /v3/grants/<grant_id>/contacts/groups`

## Removed Contacts endpoints

The `GET /contacts/{id}/picture` endpoint has been deprecated. Instead, you can now include the `?profile_picture=true` query parameter in a [Get Contact request](/docs/api/v3/ecc/#get-/v3/grants/-grant_id-/contacts/-contact_id-) to get the contact's profile picture.